Bug 254172 - Automatic DNS discovery of the LDAP server does not work
Automatic DNS discovery of the LDAP server does not work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On: 254171
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 12:02 EDT by Simo Sorce
Modified: 2008-06-19 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0389
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2007-08-24 12:02:11 EDT
+++ This bug was initially created as a clone of Bug #254171 +++

Description of problem:


Version-Release number of selected component (if applicable):
254-2

How reproducible:
always

Steps to Reproduce:
1. configure nsswitch.conf to use ldap and a DNS record of the form
_ldap._tcp.domain.name to point to the ldap server
2. omit uri and hostname from /etc/ldap.conf
3. getent passwd
  
Actual results:
the ldap server is not contacted and no entries show up

Expected results:
the ldap server is queried and entries show up
Comment 2 RHEL Product and Program Management 2007-10-15 23:44:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 10:15:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0389.html

Note You need to log in before you can comment on or make changes to this bug.